# # SnipSnap::LoggingExtension
#
# Require Path: `snipsnap/extensions/logging`
#
module SnipSnap::LoggingExtension
  def self.registered(app)
    app.configure do
      app.enable :logging
      file = File.new("#{app.settings.root}/log/#{app.settings.environment}.log", 'a+')
      file.sync = true
      app.use Rack::CommonLogger, file
    end

    app.before do
      # Some simple logging

      #puts request.env['REQUEST_METHOD'] + ": " + request.env['PATH_INFO']
      puts "PARAMS: " + params.inspect
      puts "USER AGENT: " + request.env['HTTP_USER_AGENT'].to_s
    end
  end
end
