module SnipSnap::User
  extend ActiveSupport::Concern

  module ClassMethods
    def authenticate(email, password)
      self.for(email).authenticate(password)
    end

    def for(email)
      find_by(email: email) || Guest.new
    end
  end
end
